using System;
using System.Data;
using System.Configuration;
using System;
using Foxit.PDF;
using Foxit.PDF.PageElements;

using Foxit.PDF.Cryptography;

namespace Web_CSharp.GeneratorExamples
{
    public partial class HelloWorld_Aes256BitEncrypted : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // Create a PDF Document
            Document document = new Document();
            document.Creator = "HelloWorld.aspx";
            document.Author = "Foxit Software";
            document.Title = "Hello World AES 256 Bit Encrypted";

            // Create a page to add to the document
            Page page = new Page(PageSize.Letter, PageOrientation.Portrait, 54.0f);

            // Create a Label to add to the page
            string text = "Hello ASPX C# World...\nFrom FoxitPDF Generator for .NET\nhttp://www.foxitsoftware.com/products/sdk/";
            Label label = new Label(text, 0, 0, 504, 100, Font.Helvetica, 18, TextAlign.Center);

            // Add label to page
            page.Elements.Add(label);

            // Add page to document
            document.Pages.Add(page);

            // Create an instance of EmbeddedFile
            EmbeddedFile embeddedFile = new EmbeddedFile(MapPath("../PDFs/DocumentA.pdf"));

            // Add the embeddedFile to the EmbeddedFileList of the document class
            document.EmbeddedFiles.Add(embeddedFile);

            // Set the PageMode to the ShowAttachments
            document.InitialPageMode = PageMode.ShowAttachments;

            // Create AES 256 bit security object
            Aes256Security security = new Aes256Security("owner", "user");

            // Set DocumentComponents property to OnlyFileAttachments
            security.DocumentComponents = EncryptDocumentComponents.OnlyFileAttachments;

            // Add the security object to the document
            document.Security = security;

            // Outputs the document to the current web page
            document.DrawToWeb("HelloWorld_Aes256BitEncrypted.pdf");
        }
    }
}
