using System;
using System.Text;
using System.IO;
using System.Security.Cryptography;

using Foxit.PDF;
using Foxit.PDF.PageElements;

namespace Web_CSharp.GeneratorExamples
{
    public partial class ImageWithAltText : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // Create a PDF Document
            Document document = new Document();

            // Specify document as tagged PDF
            document.Tag = new TagOptions();

            // Create a page and add it to the document
            Page page = new Page();
            document.Pages.Add(page);

            // Create a label and add it to the page
            page.Elements.Add(new Label("Mouse over the image to see alternate text", 100, 220, 300, 100, Font.Helvetica, 15f));

            // Create an image
            Image image = new Image(Server.MapPath("../Images/FoxitLogo.png"), 250f, 350f, 0.24f);

            // Set alternate text to the image
            image.AlternateText = "Foxit PDF SDK Logo";

            // Image is sized and centered in the rectangle
            image.SetBounds(200, 200);
            image.VAlign = VAlign.Center;
            image.Align = Align.Center;

            // Add image to the page
            page.Elements.Add(image);

            // Outputs the document to the current web page
            document.DrawToWeb("Image.pdf");
        }

        #region Web Form Designer generated code
        override protected void OnInit(EventArgs e)
        {
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit(e);
        }

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
        }
        #endregion
    }
}